// packageC/video_goods/videoAnswer/videoAnswer.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    successShow:false,
    errorShow:false,
    subject:null,
    integral:0,
    vid:0,
    integral_name:'积分'
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function (options) {
    console.log(options);
    if(options.vid){
      this.data.vid = options.vid;
      this.getSubject();
    }
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function () {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function () {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function () {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function () {

  },
  getSubject(){
    let urlStr = app.getNetAddresss("plugin.answer-reward.api.index.get-subject");
    app._getNetWork({
      url: urlStr,
      data: {vid:this.data.vid },
      success: (resdata)=> {
        var res = resdata.data;
        if(res.result!=1) return;
        if(res.data.status!=1){
          wx.showToast({
            title: "本视频你已获得积分奖励",
            icon: 'none',
            duration: 1500
          });
        }else {
          if(res.data.subject!=null){
            this.setData({
              integral_name:res.data.integral_name,
              subject:res.data.subject
            });
          }
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });

  },
  reward(evt){
    let id = evt.currentTarget.dataset.id;
    console.log(evt);
    let urlStr = app.getNetAddresss("plugin.answer-reward.api.index.index");
    app._getNetWork({
      url: urlStr,
      data: {
        vid:this.data.vid,
        subject_id: this.data.subject.id,
        answer_id:id },
      success: (resdata)=> {
        let res = resdata.data;
        if(res.result!=1){
          this.setData({errorShow:true});
        }else {
          if(res.data.status==0){
            wx.showToast({
              title: res.msg,
              icon: 'none',
              duration: 1500
            });
          }else if(res.data.status==1){
            this.setData({successShow:true,integral:res.data.integral});
          }
        }
      }
    });
  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function () {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function () {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function () {

  },
  gotoBack(){
    this.setData({errorShow:false,successShow:false});
    wx.navigateBack();
  }
});